#ifndef FUNCPERSONONWORK_H
#define FUNCPERSONONWORK_H

#include "FuncBase.h"
#include "spdlog/spdlog.h"


/**
 * @brief 人员在岗情况识别线程，目前这个功能已经合并到了 FuncOnAndOffWork 中
 *        1、这个写入tWorkOnInfo表格，十分钟写一次，记录这十分钟内的在岗离岗的人员信息，同时记录这十分钟房间内
 *           的人员数量最大值和最小值。
 * 
 */

class FuncPersonOnWork : public FuncBase
{
public:
    FuncPersonOnWork();
    ~FuncPersonOnWork();

protected:
    void task() override;

private:
    /* 读取Redis数据 */
    void readRedisData();

private:
    /* 报警列表 */
    ListAlarmInfo m_listSrcAlarm;
    /* 保存人脸信息的数据 */
    ListRoomFaceInfo* m_pListRoomFace = nullptr;

};

#endif /* FUNCPERSONONWORK_H */
